summaryrefslogtreecommitdiffstats
path: root/python
diff options
context:
space:
mode:
author LukenShiro <lukenshiro@ngi.it>2013-11-19 06:18:21 +0700
committer Robby Workman <rworkman@slackbuilds.org>2013-11-19 01:10:15 -0600
commit3b61ddf741da86ba93562cf9e55ebf85a6d0dda1 (patch)
treea354d160b19a9264cec5c7cb4ce61944d10d2b27 /python
parent182a02f67e1f77054334a2e6624f2d50005c0e3b (diff)
downloadslackbuilds-3b61ddf741da86ba93562cf9e55ebf85a6d0dda1.tar.gz
slackbuilds-3b61ddf741da86ba93562cf9e55ebf85a6d0dda1.tar.xz
system/html2text: Updated for version 3.200.3_8ddc844b03.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'python')
-rw-r--r--python/html2text/html2text.SlackBuild45
-rw-r--r--python/html2text/html2text.info10
-rw-r--r--python/html2text/slack-desc10
3 files changed, 43 insertions, 22 deletions
diff --git a/python/html2text/html2text.SlackBuild b/python/html2text/html2text.SlackBuild
index 8c89e2541a..7c1ddd5fc4 100644
--- a/python/html2text/html2text.SlackBuild
+++ b/python/html2text/html2text.SlackBuild
@@ -2,10 +2,29 @@
# Slackware build script for html2text
-# Written by crocket (crockabiscuit@gmail.com)
+# Copyright 2011 crocket (crockabiscuit@gmail.com)
+# Copyright 2013 LukenShiro, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=html2text
-VERSION=${VERSION:-3.02}
+VERSION=${VERSION:-3.200.3_8ddc844b03}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -36,24 +55,27 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+DOCFILES="COPYING README.md test/"
+
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
-cd $PRGNAM-$VERSION
+rm -rf $PRGNAM-master
+unzip $CWD/$PRGNAM-$VERSION.zip
+cd $PRGNAM-master
chown -R root:root .
-find . \
- \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
python setup.py install --root=$PKG
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION/
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
@@ -61,4 +83,3 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
-
diff --git a/python/html2text/html2text.info b/python/html2text/html2text.info
index 1eb6fca8da..7cdcb40079 100644
--- a/python/html2text/html2text.info
+++ b/python/html2text/html2text.info
@@ -1,10 +1,10 @@
PRGNAM="html2text"
-VERSION="3.02"
+VERSION="3.200.3_8ddc844b03"
HOMEPAGE="http://www.aaronsw.com/2002/html2text/"
-DOWNLOAD="http://crocket-slackbuilds.googlecode.com/files/html2text-3.02.tar.bz2"
-MD5SUM="9c7131b18d78a0cd2c100f48ec6420fb"
+DOWNLOAD="http://lukenshiro.altervista.org/sbo-sources/html2text-3.200.3_8ddc844b03.zip"
+MD5SUM="4fe2a4e706da570895c3019d53e5c2ac"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="pysetuptools"
-MAINTAINER="crocket"
-EMAIL="crockabiscuit@gmail.com"
+MAINTAINER="LukenShiro"
+EMAIL="lukenshiro@ngi.it"
diff --git a/python/html2text/slack-desc b/python/html2text/slack-desc
index 26b0312f84..11972df67f 100644
--- a/python/html2text/slack-desc
+++ b/python/html2text/slack-desc
@@ -1,8 +1,8 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':' except on otherwise blank lines.
|-----handy-ruler------------------------------------------------------|
@@ -10,7 +10,7 @@ html2text: html2text (Python HTML-to-text converter)
html2text:
html2text: It turns HTML into equivalent Markdown-structured text.
html2text:
-html2text: Website : http://www.aaronsw.com/2002/html2text
+html2text: Homepage: http://www.aaronsw.com/2002/html2text
html2text:
html2text:
html2text: